<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { provide } from 'vue';
import { ref } from 'vue';

const receiptStore = useReceiptStore()
const dialog = ref(false)
provide('billDialog',dialog)
const showBill =function(){
  dialog.value=true
}
</script>
<template>
  <v-dialog v-model="receiptStore.receiptDialog" persistent width="300" height="400" style="font-family: 'Kanit';">
    <v-card>
      <v-card-title
        style="font-family: 'Kanit'; font-size: 18pt; text-align: center; color: rgb(106, 83, 72);font-weight: bold; padding-top: 2%;">
        Payment
      </v-card-title>

      <v-card-text style="text-align: center;">
        <div style="padding-bottom: 4%; color:rgb(106, 83, 72) ; font-weight: bold;">Total : {{
          receiptStore.receipt.total }} THB</div>

        <v-row>
          <v-col cols="6" >
            <v-img :src="`./public/img/menuPics/Qr.png`" height="130" ></v-img>
            <div style="color: rgb(106, 83, 72);">Thai QR</div>
          </v-col>
          <!-- <v-col cols="6" style="font-family:'Kanit';">
            <v-text-field v-model="receiptStore.receipt.receivedAmount" density="compact" variant="solo"
              label="Enter Cash (THB)" single-line hide-details
              style="padding-left: 7%; padding-bottom: 15%;" ></v-text-field>
              {{ 'Change : '+ (receiptStore.receipt.receivedAmount-receiptStore.receipt.total) +' THB'}}
          </v-col> -->
        </v-row>


      </v-card-text>

      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="green-darken-1" variant="text" @click="() => {
          showBill()
          receiptStore.receiptDialog = false
        }">
          Finished
        </v-btn>
        
      </v-card-actions>
    </v-card>
  </v-dialog>
  <bill-dialog></bill-dialog>
</template>